variables:
  GODOT_BUILD_IMAGE: python:latest
  GODOT_NPROC: 3

image: $GODOT_BUILD_IMAGE
before_script:
  - apt-get update
  - apt-get install clang -y
  - apt-get install build-essential scons pkg-config libx11-dev libxcursor-dev libxinerama-dev -y
  - apt-get install libgl1-mesa-dev libglu-dev libasound2-dev libpulse-dev libudev-dev libxi-dev libxrandr-dev yasm -y
  - sed -i "1c\#! /usr/bin/python3" /usr/bin/scons

stages:
  - build
  - test
  - package

x64.l.build:
  stage: build
  script:
    - scons platform=x11 tools=no target=release bits=64 use_llvm=yes
  artifacts:
    paths:
      - bin/

x64.l.test:
  stage: test
  dependencies: 
    - x64.l.build
  script:
    - mkdir /root/.cache/ && touch output_empty.pck
    - scons platform=x11 tests=yes tools=yes bits=64 use_llvm=yes
    - ./bin/godot.linuxbsd.tools.64.llvm --test

x64.l.package:
  stage: package
  dependencies: 
    - x64.l.build
  script:
    - apt-get update && apt-get install -y make git
    - mkdir godot_package
    - export PACKAGE_PATH=$(pwd)/bin
    - cd godot_package
    - tar cf godot_package.tar.gz $PACKAGE_PATH --gzip
  artifacts:
    name: export-linux
    paths:
      - godot_package/
      - godot_package.tar.gz
